# ALTER SECURITY INTEGRATION

## Syntax <a href="#synopsis" id="synopsis"></a>

```sql
ALTER SECURITY INTEGRATION security_integration_name
[ RENEW TOKEN ];
```

## Description <a href="#description" id="description"></a>

Modify a security integration.

Security Integrations can only be modified by a [Role](/overview/core-concepts/access-control.md#_role) with [MANAGE\_MEMBERS](/overview/core-concepts/access-control.md#_privilege) privilege.

### Arguments

#### **security\_integration\_name**

Specifies the name of the Security Integration. For case-sensitive names, the name must be wrapped in double quotes, otherwise, the lowercased name will be used.

### SCIM Integration options

#### `RENEW TOKEN`

Renew the token for an existing SCIM integration

## Examples <a href="#example" id="example"></a>

#### Renew SCIM integration token

```shell
<no-db>/<no-store># LIST SECURITY INTEGRATIONS;
+-------+-------+-------------------------------+-------------------------------+
|  Name |  Type |  Created At                   |  Updated At                   |
+=======+=======+===============================+===============================+
| okta  | scim  | 2024-07-15 23:17:14 +0000 UTC | 2024-07-15 23:17:14 +0000 UTC |
+-------+-------+-------------------------------+-------------------------------+
<no-db>/<no-store># ALTER SECURITY INTEGRATION "okta" RENEW TOKEN;
+----------------------+-------+----------+------------------------------------------+----------------------+-------------------+-------------------------------+
|  Type                |  Name |  Command |  Summary                                 |  Token               |  Uri              |  Expires At                   |
+======================+=======+==========+==========================================+======================+===================+===============================+
| security integration | okta  | ALTER    | security integration okta was            | <redacted_new_token> | <integration_uri> | 2025-07-15 23:20:21 +0000 UTC |
|                      |       |          | successfully refreshed                   |                      |                   |                               |
+----------------------+-------+----------+------------------------------------------+----------------------+-------------------+-------------------------------+
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/ddl/alter-security-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
